#!/bin/sh
# run from current directory only
FILE=app.py
if test -f "$FILE"; then
  uwsgi_python310 --http-socket 0.0.0.0:1612 --wsgi-file app.py --callable app --pyargv "-vvv" --stats 0.0.0.0:9192
else
  cd /opt/kjv-api
  echo "WARNING: RUNNING FROM /opt/kjv-api"
  uwsgi_python310 --http-socket 0.0.0.0:1612 --wsgi-file /opt/kjv-api/app.py --callable app --pyargv "-vvv"
fi
